astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- ALFALFA Queries (`astroquery.alfalfa`) »
- AlfalfaClass

# AlfalfaClass

class astroquery.alfalfa.AlfalfaClass

  Bases: `BaseQuery`

  Attributes Summary

  `CATALOG_PREFIX` |
  `PLACEHOLDER` |

  Methods Summary

  `get_catalog`() | Download catalog of ALFALFA source properties.
  `query_region`(coordinates, *[, radius, ...]) | Perform object cross-ID in ALFALFA.

  Attributes Documentation

  CATALOG_PREFIX = 'http://egg.astro.cornell.edu/alfalfa/data/a40files/a40.datafile1.csv'
  PLACEHOLDER = -999999

  Methods Documentation

  get_catalog()

    Download catalog of ALFALFA source properties.

    Returns:
      result Dictionary of results, each element is a masked array.

    Notes

    This catalog has ~15,000 entries, so after it’s downloaded, it is made global to save some time later.

  query_region(coordinates, *, radius=<Quantity 3. arcmin>, optical_counterpart=False)

    Perform object cross-ID in ALFALFA.

    Search for objects near position (ra, dec) within some radius.

    Parameters:
      coordinates str or `astropy.coordinates` object

        The target around which to search. It may be specified as a string in which case it is resolved using online services or as the appropriate `astropy.coordinates` object. ICRS coordinates may also be entered as strings as specified in the `astropy.coordinates` module.

      radius str or `Quantity` object, optional

        The string must be parsable by `astropy.coordinates.Angle`. The appropriate `Quantity` object from `astropy.units` may also be used. Defaults to 3 arcmin.

      optical_counterpart bool

        Search for position match using radio positions or position of any optical counterpart identified by ALFALFA team? Keep in mind that the ALFA beam size is about 3x3 arcminutes.

      See documentation for astropy.coordinates.angles for more information
      about (‘ra’, ‘dec’, ‘unit’) parameters.
    Returns:
      result AGC number for object nearest supplied position.

    Examples

        >>> from astroquery.alfalfa import Alfalfa
        >>> from astropy import coordinates as coords
        >>> C = coords.SkyCoord('0h8m05.63s +14d50m23.3s')
        >>> agc = Alfalfa.query_region(C,'3 arcmin')